#!/bin/sh
# make-bindist.sh for the SkyOS port
#
# written by Marco van den Heuvel <blackystardust68@yahoo.com>
#
# make-bindist.sh <strip> <vice-version> <prefix> <zip|nozip> <topsrcdir> <dtvversion>
#                 $1      $2             $3       $4          $5          $6

STRIP=$1
VICEVERSION=$2
PREFIX=$3
ZIPKIND=$4
TOPSRCDIR=$5
VERSION=$6

if test x"$PREFIX" != "x/boot/programs/VICEplus"; then
  echo Error: installation path is not /boot/programs/VICEplus
  exit 1
fi

if [ ! -e /boot/programs/VICEplus/bin/x64 -o ! -e /boot/programs/VICEplus/bin/x64dtv -o ! -e /boot/programs/VICEplus/bin/x128 -o ! -e /boot/programs/VICEplus/bin/xvic -o ! -e /boot/programs/VICEplus/bin/xpet -o ! -e /boot/programs/VICEplus/bin/xplus4 -o ! -e /boot/programs/VICEplus/bin/xcbm2 -o ! -e /boot/programs/VICEplus/bin/c1541 -o ! -e /boot/programs/VICEplus/bin/petcat -o ! -e /boot/programs/VICEplus/bin/cartconv ]
then
  echo Error: \"make install\" needs to be done first
  exit 1
fi

echo Generating SkyOS port binary distribution.
rm -f -r VICEplus-$VERSION
mkdir -p VICEplus-$VERSION/programs/VICEplus
mkdir -p VICEplus-$VERSION/programs/VICEplus/lib/locale/de/LC_MESSAGES
mv /boot/programs/VICEplus/lib/locale/de/LC_MESSAGES/viceplus.* VICEplus-$VERSION/programs/VICEplus/lib/locale/de/LC_MESSAGES
mkdir -p VICEplus-$VERSION/programs/VICEplus/lib/locale/fr/LC_MESSAGES
mv /boot/programs/VICEplus/lib/locale/fr/LC_MESSAGES/viceplus.* VICEplus-$VERSION/programs/VICEplus/lib/locale/fr/LC_MESSAGES
mkdir -p VICEplus-$VERSION/programs/VICEplus/lib/locale/it/LC_MESSAGES
mv /boot/programs/VICEplus/lib/locale/it/LC_MESSAGES/viceplus.* VICEplus-$VERSION/programs/VICEplus/lib/locale/it/LC_MESSAGES
mkdir -p VICEplus-$VERSION/programs/VICEplus/lib/locale/sv/LC_MESSAGES
mv /boot/programs/VICEplus/lib/locale/sv/LC_MESSAGES/viceplus.* VICEplus-$VERSION/programs/VICEplus/lib/locale/sv/LC_MESSAGES
mkdir -p VICEplus-$VERSION/programs/VICEplus/lib/locale/pl/LC_MESSAGES
mv /boot/programs/VICEplus/lib/locale/pl/LC_MESSAGES/viceplus.* VICEplus-$VERSION/programs/VICEplus/lib/locale/pl/LC_MESSAGES
mkdir -p VICEplus-$VERSION/programs/VICEplus/lib/locale/nl/LC_MESSAGES
mv /boot/programs/VICEplus/lib/locale/nl/LC_MESSAGES/viceplus.* VICEplus-$VERSION/programs/VICEplus/lib/locale/nl/LC_MESSAGES
mkdir -p VICEplus-$VERSION/programs/VICEplus/lib/locale/hu/LC_MESSAGES
mv /boot/programs/VICEplus/lib/locale/hu/LC_MESSAGES/viceplus.* VICEplus-$VERSION/programs/VICEplus/lib/locale/hu/LC_MESSAGES
mkdir VICEplus-$VERSION/programs/VICEplus/bin
mv /boot/programs/VICEplus/bin/vsid VICEplus-$VERSION/programs/VICEplus/bin
mv /boot/programs/VICEplus/bin/x64 VICEplus-$VERSION/programs/VICEplus/bin/x64.app
$STRIP VICEplus-$VERSION/programs/VICEplus/bin/x64.app
mv /boot/programs/VICEplus/bin/x64dtv VICEplus-$VERSION/programs/VICEplus/bin/x64dtv.app
$STRIP VICEplus-$VERSION/programs/VICEplus/bin/x64dtv.app
mv /boot/programs/VICEplus/bin/x128 VICEplus-$VERSION/programs/VICEplus/bin/x128.app
$STRIP VICEplus-$VERSION/programs/VICEplus/bin/x128.app
mv /boot/programs/VICEplus/bin/xvic VICEplus-$VERSION/programs/VICEplus/bin/xvic.app
$STRIP VICEplus-$VERSION/programs/VICEplus/bin/xvic.app
mv /boot/programs/VICEplus/bin/xpet VICEplus-$VERSION/programs/VICEplus/bin/xpet.app
$STRIP VICEplus-$VERSION/programs/VICEplus/bin/xpet.app
mv /boot/programs/VICEplus/bin/xplus4 VICEplus-$VERSION/programs/VICEplus/bin/xplus4.app
$STRIP VICEplus-$VERSION/programs/VICEplus/bin/xplus4.app
mv /boot/programs/VICEplus/bin/xcbm2 VICEplus-$VERSION/programs/VICEplus/bin/xcbm2.app
$STRIP VICEplus-$VERSION/programs/VICEplus/bin/xcbm2.app
mv /boot/programs/VICEplus/bin/c1541 VICEplus-$VERSION/programs/VICEplus/bin/c1541.app
$STRIP VICEplus-$VERSION/programs/VICEplus/bin/c1541.app
mv /boot/programs/VICEplus/bin/petcat VICEplus-$VERSION/programs/VICEplus/bin/petcat.app
$STRIP VICEplus-$VERSION/programs/VICEplus/bin/petcat.app
mv /boot/programs/VICEplus/bin/cartconv VICEplus-$VERSION/programs/VICEplus/bin/cartconv.app
$STRIP VICEplus-$VERSION/programs/VICEplus/bin/cartconv.app
mv /boot/programs/VICEplus/lib/viceplus VICEplus-$VERSION/programs/VICEplus/lib
rm `find VICEplus-$VERSION -name "amiga_*.vkm"`
rm `find VICEplus-$VERSION -name "beos_*.vkm"`
rm `find VICEplus-$VERSION -name "dos_*.vkm"`
rm `find VICEplus-$VERSION -name "os2*.vkm"`
rm `find VICEplus-$VERSION -name "osx*.vkm"`
rm `find VICEplus-$VERSION -name "win_*.vkm"`
rm `find VICEplus-$VERSION -name "RO*.vkm"`
mkdir -p VICEplus-$VERSION/programs/VICEplus/share/man/man1
mv /boot/programs/VICEplus/share/man/man1/* VICEplus-$VERSION/programs/VICEplus/share/man/man1/
mkdir -p VICEplus-$VERSION/programs/VICEplus/info
mv /boot/programs/VICEplus/share/info/vice.info* VICEplus-$VERSION/programs/VICEplus/share/info
cp -r $TOPSRCDIR/src/arch/unix/skyos/icons VICEplus-$VERSION/programs/VICEplus/
rm -f -r /boot/programs/VICEplus
if test x"$ZIPKIND" = "xzip"; then
  THEDATE=`date +%d-%b-%Y`
  cat >VICEplus-$VERSION/install.sif <<_END
[GENERAL]
Magic=SkyOS Installation file

[DESCRIPTION]
Product=VICEplus $VERSION
Detail=VICEplus
Copyright=The VICEplus Team
Version=$VERSION
Date=$THEDATE
License=GPL
Category=Emulators

[PACKAGE]
DefaultPath=

[PANELMENU]
/menu="Emulators/VICEplus"	/name="x64"	/link="/boot/programs/VICEplus/bin/x64.app"		/icon="/boot/programs/VICEplus/icons/x64.ico"   
/menu="Emulators/VICEplus"      /name="x64dtv"	/link="/boot/programs/VICEplus/bin/x64dtv.app"	/icon="/boot/programs/VICEplus/icons/x64dtv.ico"	
/menu="Emulators/VICEplus"	/name="x128"	/link="/boot/programs/VICEplus/bin/x128.app"	/icon="/boot/programs/VICEplus/icons/x128.ico"   
/menu="Emulators/VICEplus"	/name="xcbm2"	/link="/boot/programs/VICEplus/bin/xcbm2.app"	/icon="/boot/programs/VICEplus/icons/xcbm2.ico"   
/menu="Emulators/VICEplus"	/name="xpet"	/link="/boot/programs/VICEplus/bin/xpet.app"	/icon="/boot/programs/VICEplus/icons/xpet.ico"   
/menu="Emulators/VICEplus"	/name="xplus4"	/link="/boot/programs/VICEplus/bin/xplus4.app"	/icon="/boot/programs/VICEplus/icons/xplus4.ico"   
/menu="Emulators/VICEplus"	/name="xvic"	/link="/boot/programs/VICEplus/bin/xvic.app"	/icon="/boot/programs/VICEplus/icons/xvic.ico"   

[FILEICONS]
/file="\$INSTALL_ROOT/programs/VICEplus/bin/x64.app"	/icon="/boot/programs/VICEplus/icons/x64.ico"
/file="\$INSTALL_ROOT/programs/VICEplus/bin/x64dtv.app"	/icon="/boot/programs/VICEplus/icons/x64dtv.ico"
/file="\$INSTALL_ROOT/programs/VICEplus/bin/x128.app"	/icon="/boot/programs/VICEplus/icons/x128.ico"
/file="\$INSTALL_ROOT/programs/VICEplus/bin/xcbm2.app"	/icon="/boot/programs/VICEplus/icons/xcbm2.ico"
/file="\$INSTALL_ROOT/programs/VICEplus/bin/xpet.app"	/icon="/boot/programs/VICEplus/icons/xpet.ico"
/file="\$INSTALL_ROOT/programs/VICEplus/bin/xplus4.app"	/icon="/boot/programs/VICEplus/icons/xplus4.ico"
/file="\$INSTALL_ROOT/programs/VICEplus/bin/xvic.app"	/icon="/boot/programs/VICEplus/icons/xvic.ico"

[SS_DESCRIPTION]
VICEplus is a program that runs on a Unix, MS-DOS, Win32, OS/2, Acorn RISC OS, BeOS, QNX, SkyOS, Amiga, GP2X or Mac OS X machine and executes programs intended for the old 8-bit computers. The current version emulates the C64, the C64DTV, the C128, the VIC20, almost all PET models, the PLUS4 and the CBM-II (aka C610).
[/SS_DESCRIPTION]

[END]
_END

  cd VICEplus-$VERSION
  tar cf ../VICEplus-$VERSION.tar *
  cd ..
  gzip VICEplus-$VERSION.tar
  mv VICEplus-$VERSION.tar.gz VICEplus-$VERSION.pkg
  rm -f -r VICEplus-$VERSION
  echo SkyOS port binary package generated as VICEplus-$VERSION.pkg
else
  echo SkyOS port binary distribution directory generated as VICEplus-$VERSION
fi
