/*
 * color.h - Color management for displays using a palette.
 *
 * Written by
 *  Andreas Boose <viceteam@t-online.de>
 *
 * This file is part of VICE, the Versatile Commodore Emulator.
 * See README for copyright notice.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *  02111-1307  USA.
 *
 */

#ifndef _COLOR_H
#define _COLOR_H

struct palette_s;

extern void color_init(void);
extern void color_shutdown(void);

extern int color_alloc_colors(void *c, const struct palette_s *palette,
                              unsigned long *col_return);

#define COLORCFG_NONE			0
#define COLORCFG_8BIT			1
#define COLORCFG_15BIT_RGB555BE	2
#define COLORCFG_15BIT_BGR555BE	3
#define COLORCFG_15BIT_RGB555LE	4
#define COLORCFG_15BIT_BGR555LE	5
#define COLORCFG_16BIT_RGB565BE	6
#define COLORCFG_16BIT_BGR565BE	7
#define COLORCFG_16BIT_RGB565LE	8
#define COLORCFG_16BIT_BGR565LE	9
#define COLORCFG_24BIT_RGB		10
#define COLORCFG_24BIT_BGR		11
#define COLORCFG_32BIT_ARGB		12
#define COLORCFG_32BIT_ABGR		13
#define COLORCFG_32BIT_RGBA		14
#define COLORCFG_32BIT_BGRA		15
#define COLORCFG_32BIT_GARB		16
#define COLORCFG_32BIT_BRAG		17
#define COLORCFG_32BIT_GRAB		18
#define COLORCFG_32BIT_BARG		19
#define COLORCFG_32BIT_ARBG		20
#define COLORCFG_32BIT_AGRB		21
#define COLORCFG_32BIT_AGBR		22
#define COLORCFG_32BIT_ABRG		23
#define COLORCFG_32BIT_RAGB		24
#define COLORCFG_32BIT_RABG		25
#define COLORCFG_32BIT_RGAB		26
#define COLORCFG_32BIT_RBAG		27
#define COLORCFG_32BIT_RBGA		28
#define COLORCFG_32BIT_GABR		29
#define COLORCFG_32BIT_GRBA		30
#define COLORCFG_32BIT_GBAR		31
#define COLORCFG_32BIT_GBRA		32
#define COLORCFG_32BIT_BAGR		33
#define COLORCFG_32BIT_BRGA		34
#define COLORCFG_32BIT_BGAR		35

#endif
